string
required
The
transaction_id from the purchase response.Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X GET 'https://api.yativo.com/api/v1/giftcards/redeem/gc-a1b2c3d4-e5f6-7890-abcd-ef1234567890' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"status": "success",
"status_code": 200,
"message": "Giftcard instruction retrieved successfully",
"data": {
"transaction_id": "gc-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"product_name": "Amazon US",
"redemption_code": "AMZN-XXXX-XXXX-XXXX",
"pin": "1234",
"instructions": "Visit amazon.com/redeem and enter your gift card code.",
"expiry_date": "2028-06-01"
}
}
Retrieve the redemption code and instructions for a purchased gift card
GET https://api.yativo.com/api/v1/giftcards/redeem/{transactionId}
transaction_id from the purchase response.curl -X GET 'https://api.yativo.com/api/v1/giftcards/redeem/gc-a1b2c3d4-e5f6-7890-abcd-ef1234567890' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"status": "success",
"status_code": 200,
"message": "Giftcard instruction retrieved successfully",
"data": {
"transaction_id": "gc-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"product_name": "Amazon US",
"redemption_code": "AMZN-XXXX-XXXX-XXXX",
"pin": "1234",
"instructions": "Visit amazon.com/redeem and enter your gift card code.",
"expiry_date": "2028-06-01"
}
}
